<template>
  <fieldset>
    <p>
      <a href="https://todoist.com/prefs/integrations" target="_blank">{{
        t("You can find your Todoist API key here.")
      }}</a>
    </p>
    <TextInputFloatingLabel for="apiToken" :text="t('API token')">
      <input
        type="text"
        name="apiToken"
        id="apiToken"
        :value="currentSettings.apiToken"
        placeholder=""
      />
    </TextInputFloatingLabel>
  </fieldset>
</template>

<script>
module.exports = {
  name: "todoist",
  props: {
    currentSettings: {
      type: Object,
      required: false,
      default: function() {
        return {}
      }
    },
    locale: {
      type: String,
      required: true
    }
  },
  locales: {
    deDe: {
      "You can find your Todoist API key here.":
        "Hier findest du deinen API-Key für Todoist."
    },
    frFr: {
      "You can find your Todoist API key here.":
        "Vous pouvez trouver votre clé API Todoist ici."
    },
    esEs: {
      "You can find your Todoist API key here.":
        "Puedes encontrar tu clave API de Todoist aquí."
    },
    plPl: {
      "You can find your Todoist API key here.":
        "Możesz znaleźć klucz API Todoist tutaj."
    },
    koKr: {
      "You can find your Todoist API key here.":
        "여기에 Todoist API 키가 있습니다."
    }
  }
};
</script>
